summaryrefslogtreecommitdiff
path: root/localedata/tst-fmon.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>1998-01-25 19:46:25 +0000
committerUlrich Drepper <drepper@redhat.com>1998-01-25 19:46:25 +0000
commit49891c106244888123557fca7fddda4fa1f96b1d (patch)
treebe82ef12bd1f25781c3755052d73bbf800020b49 /localedata/tst-fmon.sh
parent3f07c1da66f3e9b50c62dec07a4c5b68794485cf (diff)
Use most recent localedata from glibc-2.0.91.
1997-10-09 04:56 Ulrich Drepper <drepper@cygnus.com> * locales/is_IS: Update from Debian version. 1997-08-29 03:16 Ulrich Drepper <drepper@cygnus.com> * tst-fmon.c: New file. strfmon test program. * tst-fmon.sh: New file. Script to run strfmon test. * fmon-de_DE.exp: New file. Expected result of strfmon test for de_DE. * fmon-en_US.exp: New file. Expected result of strfmon test for en_US. * locales/cs_CZ: Update from author.
Diffstat (limited to 'localedata/tst-fmon.sh')
-rwxr-xr-xlocaledata/tst-fmon.sh67
1 files changed, 50 insertions, 17 deletions
diff --git a/localedata/tst-fmon.sh b/localedata/tst-fmon.sh
index cac9917ff5..aadc40cbf6 100755
--- a/localedata/tst-fmon.sh
+++ b/localedata/tst-fmon.sh
@@ -1,32 +1,65 @@
#! /bin/sh
+# Testing the implementation of strfmon(3).
+# Copyright (C) 1996, 1997 Free Software Foundation, Inc.
+# This file is part of the GNU C Library.
+# Contributed by Jochen Hein <jochen.hein@delphi.central.de>, 1997.
+#
+# The GNU C Library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Library General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# The GNU C Library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Library General Public License for more details.
+#
+# You should have received a copy of the GNU Library General Public
+# License along with the GNU C Library; see the file COPYING.LIB. If
+# not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-common_objpfx=$1; shift
-lang=$*
+common_objpfx=$1
+datafile=$2
+DEBUG=0
here=`pwd`
+lang=`sed -e '/^#/d' -e '/^$/d' -e '/^C /d' -e 's/^\([^ ]*\).*/\1/' $datafile | sort | uniq`
+
# Generate data files.
for l in $lang; do
- cns=`echo $l | sed 's/\(.*\)[.][^.]*/\1/'`
- cn=locales/$cns
- fn=charmaps/`echo $l | sed 's/.*[.]\([^.]*\)/\1/'`
- LD_LIBRARY_PATH=$common_objpfx I18NPATH=./locales ${common_objpfx}elf/ld.so \
- ${common_objpfx}locale/localedef --quiet -i $cn -f $fn \
- ${common_objpfx}localedata/$cns
+ cns=`echo $l | sed 's/\(.*\)[.][^.]*/\1/'`
+ cn=locales/$cns
+ fn=charmaps/`echo $l | sed 's/.*[.]\([^.]*\)/\1/'`
+ LD_LIBRARY_PATH=$common_objpfx I18NPATH=./locales \
+ ${common_objpfx}elf/ld.so ${common_objpfx}locale/localedef \
+ --quiet -i $cn -f $fn ${common_objpfx}localedata/$cns
done
# Run the tests.
-for l in $lang; do
- cns=`echo $l | sed 's/\(.*\)[.][^.]*/\1/'`
-
- LOCPATH=$common_objpfx/localedata LC_ALL=$cns \
- LD_LIBRARY_PATH=$common_objpfx $common_objpfx/elf/ld.so \
- $common_objpfx/localedata/tst-fmon \
- > $common_objpfx/localedata/fmon-$cns.out || status=1
- cmp -s fmon-$cns.exp $common_objpfx/localedata/fmon-$cns.out || status=1
+IFS=" " # This is a TAB
+cat $datafile |
+while read locale format value expect; do
+ if [ -n "$format" ]; then
+ LOCPATH=${common_objpfx}localedata \
+ LD_LIBRARY_PATH=$common_objpfx \
+ ${common_objpfx}elf/ld.so ${common_objpfx}localedata/tst-fmon \
+ "$locale" "$format" "$value" "$expect"
+ if [ $? -eq 0 ]; then
+ if [ $DEBUG -eq 1 ]; then
+ echo "Locale: \"${locale}\" Format: \"${format}\"" \
+ "Value: \"${value}\" Expect: \"${expect}\" passed"
+ fi
+ else
+ echo "Locale: \"${locale}\" Format: \"${format}\"" \
+ "Value: \"${value}\" Expect: \"${expect}\" failed"
+ exit 1
+ fi
+ fi
done
-exit $status
+exit $?
# Local Variables:
# mode:shell-script
# End: